/*
**  main.m
**
**  Copyright (c) 2004
**
**  Author: Yen-Ju Chen <yjchenx@hotmail.com>
**
**  This program is free software; you can redistribute it and/or modify
**  it under the terms of the GNU General Public License as published by
**  the Free Software Foundation; either version 2 of the License, or
**  (at your option) any later version.
**
**  This program is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**  GNU General Public License for more details.
**
**  You should have received a copy of the GNU General Public License
**  along with this program; if not, write to the Free Software
**  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include <Foundation/Foundation.h>
#include "CodeParser.h"
#include "ObjCHandler.h"
#include "GNUstep.h"

int main (int argc, const char **argv)
{
  NSAutoreleasePool *pool = [[NSAutoreleasePool alloc] init];

  CodeParser *parser;
  ObjCHandler *handler;
  NSString *file;
  NSString *path = [[[NSProcessInfo processInfo] arguments] objectAtIndex: 1];
  if (path == nil)
    {
      NSLog(@"No path");
      return 1;
    }

  file = [[NSString alloc] initWithContentsOfFile: [path stringByStandardizingPath]];
  if (file == nil)
    {
      /* Try current directory */
      file = [[NSString alloc] initWithContentsOfFile: [@"./" stringByAppendingPathComponent: path]];
      if (file == nil)
        {
          NSLog(@"No file");
          return 1;
	}
    }

  handler = [[ObjCHandler alloc] init];
  parser = [[CodeParser alloc] initWithCodeHandler: handler
	                               withString: file];
  [parser parse];


  RELEASE(handler);
  RELEASE(parser);
  RELEASE(file);
  RELEASE(pool);
  return 0;
}
